## sniffit 0.3.7.beta

=== libpcap/Makefile ===
# Generated automatically from Makefile.in by configure.
#  Copyright (c) 1993, 1994, 1995, 1996
# 	The Regents of the University of California.  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that: (1) source code distributions
#  retain the above copyright notice and this paragraph in its entirety, (2)
#  distributions including binary code include the above copyright notice and
#  this paragraph in its entirety in the documentation or other materials
#  provided with the distribution, and (3) all advertising materials mentioning
#  features or use of this software display the following acknowledgement:
#  ``This product includes software developed by the University of California,
#  Lawrence Berkeley Laboratory and its contributors.'' Neither the name of
#  the University nor the names of its contributors may be used to endorse
#  or promote products derived from this software without specific prior
#  written permission.
#  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
# @(#) $Header: Makefile.in,v 1.72 97/06/30 13:56:14 leres Exp $ (LBL)

#
# Various configurable paths (remember to edit Makefile.in, not Makefile)
#

# Top level hierarchy
prefix = /usr/local
exec_prefix = ${prefix}
# Pathname of directory to install the include files
INCLDEST = ${prefix}/include
# Pathname of directory to install the library
LIBDEST =  ${exec_prefix}/lib
# Pathname of directory to install the man page
MANDEST = ${prefix}/man

# VPATH
srcdir = .

#
# You shouldn't need to edit anything below.
#

CC = gcc
CCOPT = -O2
INCLS = -I.  -Ilinux-include
DEFS =  -DHAVE_MALLOC_H=1 -DHAVE_STRERROR=1 -DHAVE_NET_IF_ARP_H=1 

# Standard CFLAGS
CFLAGS = $(CCOPT) $(INCLS) $(DEFS)

INSTALL = /usr/bin/install -c
RANLIB = ranlib

#
# Flex and bison allow you to specify the prefixes of the global symbols
# used by the generated parser.  This allows programs to use lex/yacc
# and link against libpcap.  If you don't have flex or bison, get them.
#
LEX = flex -Ppcap_
YACC = bison -y -p pcap_

# Explicitly define compilation rule since SunOS 4's make doesn't like gcc.
# Also, gcc does not remove the .o before forking 'as', which can be a
# problem if you don't own the file but can write to the directory.
.c.o:
	@rm -f $@
	$(CC) $(CFLAGS) -c $(srcdir)/$*.c

PSRC =	pcap-linux.c
CSRC =	pcap.c inet.c gencode.c optimize.c nametoaddr.c \
	etherent.c savefile.c bpf_filter.c bpf_image.c
GENSRC = scanner.c grammar.c version.c

SRC =	$(PSRC) $(CSRC) $(GENSRC)

# We would like to say "OBJ = $(SRC:.c=.o)" but Ultrix's make cannot
# hack the extra indirection
OBJ =	$(PSRC:.c=.o) $(CSRC:.c=.o) $(GENSRC:.c=.o)
HDR =	pcap.h pcap-int.h pcap-namedb.h pcap-nit.h pcap-pf.h \
	ethertype.h gencode.h gnuc.h
GENHDR = \
	tokdefs.h

TAGHDR = \
	bpf/net/bpf.h

TAGFILES = \
	$(SRC) $(HDR) $(TAGHDR)

CLEANFILES = $(OBJ) libpcap.a $(GENSRC) $(GENHDR) lex.yy.c

all: libpcap.a

libpcap.a: $(OBJ)
	@rm -f $@
	ar rc $@ $(OBJ)
	$(RANLIB) $@

scanner.c: $(srcdir)/scanner.l
	@rm -f $@
	$(LEX) -t $< > $$$$.$@; mv $$$$.$@ $@

scanner.o: scanner.c tokdefs.h
tokdefs.h: grammar.c
grammar.c: $(srcdir)/grammar.y
	@rm -f grammar.c tokdefs.h
	$(YACC) -d $<
	mv y.tab.c grammar.c
	mv y.tab.h tokdefs.h

grammar.o: grammar.c
	@rm -f $@
	$(CC) $(CFLAGS) -Dyylval=pcap_lval -c grammar.c

version.o: version.c
version.c: $(srcdir)/VERSION
	@rm -f $@
	sed -e 's/.*/char pcap_version[] = "&";/' $(srcdir)/VERSION > $@

install: force
	$(INSTALL) -m 444 -o bin -g bin libpcap.a $(DESTDIR)$(LIBDEST)/libpcap.a
	$(RANLIB) $(DESTDIR)$(LIBDEST)/libpcap.a

install-incl: force
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/pcap.h \
	    $(DESTDIR)$(INCLDEST)/pcap.h
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/pcap-namedb.h \
	    $(DESTDIR)$(INCLDEST)/pcap-namedb.h
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/net/bpf.h \
	    $(DESTDIR)$(INCLDEST)/net/bpf.h

install-man: force
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/pcap.3 \
	    $(DESTDIR)$(MANDEST)/man3/pcap.3

clean:
	rm -f $(CLEANFILES)

distclean:
	rm -f $(CLEANFILES) Makefile config.cache config.log config.status \
	    gnuc.h os-proto.h bpf_filter.c net

tags: $(TAGFILES)
	ctags -wtd $(TAGFILES)

tar:	force
	@cwd=`pwd` ; dir=`basename $$cwd` ; name=libpcap-`cat VERSION` ; \
	    list="" ; tar="tar chFFf" ; \
	    for i in `cat FILES` ; do list="$$list $$name/$$i" ; done; \
	    echo \
	    "rm -f ../$$name; ln -s $$dir ../$$name" ; \
	     rm -f ../$$name; ln -s $$dir ../$$name ; \
	    echo \
	    "(cd .. ; $$tar - [lots of files]) | compress > /tmp/$$name.tar.Z" ; \
	     (cd .. ; $$tar - $$list) | compress > /tmp/$$name.tar.Z ; \
	    echo \
	    "rm -f ../$$name" ; \
	     rm -f ../$$name

force:	/tmp
depend:	$(GENSRC) force
	./mkdep -c $(CC) $(DEFS) $(INCLS) $(SRC)

=== debian/changelog ===
sniffit (0.3.7.beta-17+deb8u1build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 08 Nov 2018 14:55:05 -0500

sniffit (0.3.7.beta-17+deb8u1) jessie; urgency=medium

  * Added a patch to fix CVE-2014-5439 (Root shell on Sniffit).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 23 Nov 2016 16:57:34 -0200

sniffit (0.3.7.beta-17) unstable; urgency=low

  * Acknowledge NMU.
     + Thanks Aron Xu.
  * Added a patch to enable hardening options. (Closes: #649817).
     + Thanks Simon Ruderich.
  * Added a patch to fix spelling error on binary.
  * Fixed spelling error on debian/README.Debian.
  * Added "DM-Upload-Allowed: yes" at debian/control.

 -- William Vera <billy@billy.com.mx>  Thu, 16 Aug 2012 17:40:22 -0500

sniffit (0.3.7.beta-16.1) unstable; urgency=low

  * Non-maintainer upload.
  * Various changes to install correct files.

 -- Aron Xu <aron@debian.org>  Mon, 26 Mar 2012 22:39:34 +0800

sniffit (0.3.7.beta-16) unstable; urgency=low

  * Acknowledge NMU.
     + Thanks HIGUCHI Daisuke.
  * Delete dpatch as Build Depend.
  * Switch to dpkg-source 3.0 (quilt) format. (Closes: #664401).
  * Added missing recommended target build-arch in debian/rules.
  * Updated Standards Version to 3.9.3.
  * Added flags to enable hardening options in debian/rules (Closes: #649817).
     + Thanks VDR dai.

 -- William Vera <billy@billy.com.mx>  Tue, 06 Mar 2012 16:29:14 -0600

sniffit (0.3.7.beta-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/05_fix_segfaults_on_amd64_bts644978.dpatch
    - fix segfaults on amd64, thanks Sebastian Harl <tokkee@debian.org>
      (Closes: #644978).

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Thu, 10 Nov 2011 14:14:23 +0900

sniffit (0.3.7.beta-15) unstable; urgency=low

  * Added a patch to add support for GNU/kFreeBSD (Closes: #535506). 
  * Added README.source (dpatch). 
  * Updated Standards Version to 3.8.3. 

 -- William Vera <billy@billy.com.mx>  Sat, 24 Oct 2009 22:21:47 -0500

sniffit (0.3.7.beta-14) unstable; urgency=low

  * Added a patch to defined prototyes correctly (Closes: #532581).
    + Thanks James Westby 
  * Updated Standards Version to 3.8.1
  * Added ${misc:Depends} at debian/control file.
  * Added Homepage field at debian/control file.
  * Added a patch with old changes in diff.gz.
  * Added a patch to fix manpages format.

 -- William Vera <billy@billy.com.mx>  Wed, 10 Jun 2009 22:45:12 -0500

sniffit (0.3.7.beta-13) unstable; urgency=low

  * New maintainer. (Closes: #465931).
  * Some format corrections on the man pages (sniffit(5) sniffit(8)).
  * Don't include config.{sub,guess} in .diff.gz

 -- William Vera <billy@billy.com.mx>  Sat, 07 Jun 2008 12:56:48 -0500

sniffit (0.3.7.beta-12) unstable; urgency=low

  * Use debhelper v7, rules file minimisation.
  * Makefile.in: don't strip binary Closes: #438032
  * debian/control: Updated to Standards-Version: 3.7.3, no changes needed

 -- Edward Betts <edward@debian.org>  Wed, 30 Apr 2008 11:00:19 +0100

sniffit (0.3.7.beta-11) unstable; urgency=low

  * Acknowledge NMU
  * sn_structs.h: Sitting at Debcamp, fixing FTBFS bugs, and Alberto Gonzalez
    Iniesta <agi@debian.org> sitting next to me points out there is one in
    this package. Thanks to Joshua Kwan <joshk@triplehelix.org> for the patch
    to fix it. (closes: #195548)
  * config.{guess,sub}: updated
  * debian/control: Updated to Standards-Version: 3.6.0, no changes needed
  * sn_interface.c: sniffit was leaving echo turned off when exiting from the
    interactive mode in an xterm, added reset_shell_mode() to screen_exit()
    and it works. This should not be needed because endwin should be calling
    it.

 -- Edward Betts <edward@debian.org>  Mon, 14 Jul 2003 10:50:24 +0200

sniffit (0.3.7.beta-10.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:33 +0200

sniffit (0.3.7.beta-10) unstable; urgency=low

  * README.FIRST: apply patch "James R. Van Zandt" <jrv@mitre.org> to correct
    spelling and other mistakes in README.FIRST

 -- Edward Betts <edward@debian.org>  Thu, 13 Dec 2001 17:35:25 +0000

sniffit (0.3.7.beta-9) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.5
  * debian/rules: Support DEB_BUILD_OPTIONS
  * config.{guess,sub}: updated files to version from libtool package
    (Closes: Bug#103633)
  * sniffit.c: applied patch from Bug#103633

 -- Edward Betts <edward@debian.org>  Thu,  5 Jul 2001 10:44:23 +0200

sniffit (0.3.7.beta-8) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.2
  * debian/rules: Changed to debhelper 3
  * debian/rules: Removed dh_suidregister
  * debian/rules: Removed dh_testversion
  * debian/rules: Changed dh_installman to dh_installmanpages
  * debian/rules: Support DEB_BUILD_OPTIONS

 -- Edward Betts <edward@debian.org>  Sun, 25 Mar 2001 04:41:39 -0700

sniffit (0.3.7.beta-7) frozen unstable; urgency=high

  * debian/rules: do not install pcap.3 (closes: Bug#77769).
  * debian/control: updated Standards-Version to 3.2.1
  * debian/control: added version to build-depends on debhelper for lintian:
     E: sniffit: package-uses-dh_testversion-but-lacks-versioned-build-depends 
  * Package now lintian clean.

 -- Edward Betts <edward@debian.org>  Tue, 28 Nov 2000 07:00:24 -0700

sniffit (0.3.7.beta-6.1) frozen unstable; urgency=high

  * Non maintainer upload.
  * [security] sn_logfile.c: Replaced sprintfs by snprintfs fixing a buffer 
    overflow (bugtraq).
  * [security] sn_analyse.c: Limit length of TCP packets to the buffer 
    size (buffer overflow with MTU > 5000).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 26 May 2000 08:40:14 +0200

sniffit (0.3.7.beta-6) frozen unstable; urgency=low



=== debian/control ===
Source: sniffit
Section: net
Priority: optional
Maintainer: William Vera <billy@billy.com.mx>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8), libpcap-dev, libncurses5-dev, autotools-dev, automake
Homepage: http://reptile.rug.ac.be/~coder/sniffit/

Package: sniffit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: packet sniffer and monitoring tool
 sniffit is a packet sniffer for TCP/UDP/ICMP packets.
 sniffit is able to give you very detailed technical info
 on these packets (SEC, ACK, TTL, Window, ...) but also
 packet contents in different formats (hex or plain text,
 etc. ).

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk

%:
	dh  $@

override_dh_auto_configure:
	automake --force-missing --add-missing --copy || true
	cd libpcap && automake --force-missing --add-missing --copy && cd .. || true
	dh_auto_configure
# Use override_dh_* targets to customize this.
# ---------------------------------------------------
# Followings are the old debian/rules
#
# #!/usr/bin/make -f
# 
# CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
# LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
# 
# build: build-arch build-indep
# build-stamp:  
# 	dh build --before configure
# 	cp /usr/share/misc/config.guess .
# 	cp /usr/share/misc/config.sub .
# 	./configure --prefix=/usr --no-recursion
# 	$(MAKE) OBJ_OPT="$(CFLAGS)" EXE_OPT="$(LDFLAGS) -lpcap"
# 	dh build --after build
# 
# build-arch: build-stamp
# build-indep: build-stamp
# 
# clean: 
# 	dh clean
# 	rm -f config.sub config.guess
# 
# install: build
# 	dh install --before dh_auto_install
# 	dh_install sniffit usr/sbin
# 	dh_installman sniffit.5 sniffit.8
# 	dh_installchangelogs HISTORY
# 	dh install --after dh_auto_install
# 
# binary-arch: 
# 	dh binary-arch
# 
# binary-indep:
# 	dh binary-indep
# 
# binary: binary-arch binary-indep
#

=== debian/watch ===
version=3
http://reptile.rug.ac.be /~coder/sniffit/files/ sniffit.(.*)\.tar\.gz debian uupdate

## sniffit 0.4.0

=== debian/changelog ===
sniffit (0.4.0-2) unstable; urgency=medium

  * Removed all references to dh-autoreconf, because it is default now.
  * debian/control: bumped Standards-Version to 4.1.1.
  * debian/patches/10_fix-spell.patch: added to fix a misspelling in final
    binary.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Oct 2017 13:14:34 -0300

sniffit (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/control: improved the long description.
  * debian/docs: added CONTRIBUTING.md file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 15 Nov 2016 11:58:49 -0200

sniffit (0.4.0~git20161114.f845505-1) experimental; urgency=medium

  * New upstream release. (includes a fix for CVE-2014-5439)
  * New upstream homepage.
  * The upstream removed the embedded libpcap.
  * Using DH compat 10.
  * Using dh-autoreconf.
  * debian/clean: acts over embedded libpcap only. Removed.
  * debian/control: rewritten the long description.
  * debian/copyright:
      - Removed all notices about the libpcap directory.
      - Updated several information about the upstream.
  * debian/docs: fully updated.
  * debian/examples: fully updated.
  * debian/install: updated.
  * debian/manpages: fully updated.
  * debian/patches/: all applied by the upstream. Removed.
  * debian/rules: removed the (now) useless override_dh_clean.
  * debian/source/options: no longer needed. Removed.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 14 Nov 2016 22:24:40 -0200

sniffit (0.3.7.beta-20) unstable; urgency=medium

  * Bumped DH level to 10. However, sniffit only supports compat 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Added an email address for upstream.
      - Grouped all files under BSD-4-Clause license.
      - Updated the packaging copyright years.
  * debian/patches/:
      - Renamed all patches to reorganize the directory.
      - Updated 50_fix-spellings-manpage.8.patch.
      - Added 55_fix-CVE-2014-5439.patch to fix CVE-2014-5439 (Root shell on
        Sniffit).
      - Added 60_update-ncurses-check.patch to remove unnecessary action about
        ncurses.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Nov 2016 00:06:53 -0200

sniffit (0.3.7.beta-19) unstable; urgency=medium

  * Update to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 May 2015 23:40:04 -0300

sniffit (0.3.7.beta-18) experimental; urgency=medium

  * New maintainer. Thanks to William Vera for your work over this package.
    (Closes: #781587)
  * Migrations:
      - debian/copyright to version 1.0.
      - DH level to 9.
      - Using autoreconf.
  * Renaming:
      - sniffit.docs to docs.
      - sniffit.examples to examples.
      - sniffit.install to install.
      - sniffit.manpages to manpages.
  * debian/clean: added to remove files created by upstream.
  * debian/control:
      - Added the Vcs-* fields.
      - Bumped Standards-Version to 3.9.6.
      - Removed the Homepage field. The upstream development is dead and no
        longer exist a homepage. (Closes: #685419)
  * debian/copyright: updated all data.
  * debian/manpages: added sniffit.8.
  * debian/patches/:
      - Added the Last-Update field to all previous patches.
      - Added the 06_clang_FTBFS_Wreturn-type.patch, to allow build using
        CLANG. Thanks to Nicolas Sévelin-Radiguet <nicosr@free.fr>.
        (Closes: #741125)
      - fix-manpage-8: added to fix some spelling errors in sniffit.8.
  * debian/rules:
      - Added the '--with autotools-dev' customization to dh target.
      - Added the override_dh_clean target to allow the package to build twice.
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues pointed by
        blhc tool.
      - Removed lots of trash.
  * debian/source/options: added to ignore changes in some upstream files.
  * debian/watch: added a fake site to explain about the current
      status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Apr 2015 00:50:18 -0300

=== debian/control ===
Source: sniffit
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10), libncurses5-dev, libpcap-dev
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sniffit.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sniffit.git
Homepage: https://github.com/eribertomota/sniffit

Package: sniffit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: packet sniffer and monitoring tool
 Sniffit is a packet sniffer for TCP/UDP/ICMP packets over IPv4. It is able
 to give you a very detailed technical info on these packets, as SEQ, ACK,
 TTL, Window, etc. The packet contents also can be viewed, in different
 formats (hex or plain text, etc.).
 .
 Sniffit is based in libpcap and is useful when learning about computer
 networks and their security.

=== debian/watch ===
version=4
https://github.com/eribertomota/sniffit/releases .*/archive/sniffit-(\d\S+)\.tar\.(?:bz2|gz|xz)

## sniffit 0.5

=== debian/changelog ===
sniffit (0.5-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Migrated DH level to 13.
  * debian/copyright: updated packaging copyright years.
  * debian/install: no longer needed because the autotools will install it.
    Removed.
  * debian/manpages: no longer needed because the autotools will install it.
    Removed.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Sep 2021 15:09:18 -0300

sniffit (0.5-1) unstable; urgency=medium

  * New upstream version 0.5. This version will solve #957819.
  * debian/copyright:
      - Updated upstream copyright years.
      - Updated Upstream-Contact field.
  * debian/patches/10_fix-spell.patch: removed. The upstream fixed the source
    code. Thanks.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Apr 2020 23:15:44 -0300

sniffit (0.4.0-5) unstable; urgency=medium

  * New upstream homepage. Consequently:
      - debian/control: updated Homepage field.
      - debian/copyright: updated Source field.
      - debian/watch: updated the source for download.
      - Closes: #930383
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Feb 2020 21:14:26 -0300

sniffit (0.4.0-4) unstable; urgency=medium

  * debian/tests/control: added restrictions to try fix the test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 14 Oct 2018 16:40:36 -0300

sniffit (0.4.0-3) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/tests/control: created to perform a trivial test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 21 Sep 2018 12:51:56 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10), libncurses5-dev, libpcap-dev
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sniffit.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sniffit.git
-Homepage: https://github.com/eribertomota/sniffit
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), libncurses5-dev, libpcap-dev
+Homepage: https://github.com/resurrecting-open-source-projects/sniffit
+Vcs-Browser: https://salsa.debian.org/debian/sniffit
+Vcs-Git: https://salsa.debian.org/debian/sniffit.git
 
 Package: sniffit
 Architecture: any

=== debian/watch ===
version=4
https://github.com/resurrecting-open-source-projects/sniffit/releases .*/tags/sniffit-(\d\S+)\.tar\.(?:bz2|gz|xz)

## sniffit 0.6

=== debian/changelog ===
sniffit (0.6-1) unstable; urgency=medium

  * New upstream version 0.6. (Closes: #1066536)
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Changed from libncurses5-dev to libncurses-dev.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Apr 2024 22:11:43 -0300

sniffit (0.5-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: updated packaging copyright years.

  [ Debian Janitor ]
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Fix day-of-week for changelog entry 0.3.5-2.
  * Update standards version to 4.6.1, no changes needed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Nov 2022 16:47:54 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), libncurses5-dev, libpcap-dev
+Build-Depends: debhelper-compat (= 13), libncurses-dev, libpcap-dev
 Homepage: https://github.com/resurrecting-open-source-projects/sniffit
 Vcs-Browser: https://salsa.debian.org/debian/sniffit
 Vcs-Git: https://salsa.debian.org/debian/sniffit.git

=== debian/tests/control ===
Test-Command: sniffit
Restrictions: needs-root, allow-stderr

## sniffit 0.7

=== debian/changelog ===
sniffit (0.7-1) unstable; urgency=medium

  * New upstream version 0.7. (Closes: #1075521)
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright:
      - Added a new upstream right.
      - Updated packaging copyright date.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 22 Sep 2025 21:05:05 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), libncurses-dev, libpcap-dev
 Homepage: https://github.com/resurrecting-open-source-projects/sniffit
 Vcs-Browser: https://salsa.debian.org/debian/sniffit

=== debian/watch ===
version=4
https://github.com/resurrecting-open-source-projects/sniffit/tags .*/tags/sniffit-(\d\S+)\.tar\.(?:bz2|gz|xz)
